# Self-host

Configuration of self-hosted third-party software on my Hetzner Cloud VPS.

## Services I am currently self-hosting

- Grafana
- Linkding
- Forgejo
- RocketChat

## Service data

Most application data is stored in a network-attached Hetzner Storagebox drive
("Storagebox Alpha"). Docker volumes are mapped to this location.

This device is permanantly mounted using the [CIFS
protocol](https://www.lenovo.com/gb/en/glossary/what-is-common-internet-file-system-cifs/)
at `/mnt/storagebox_alpha`, as specified in `/etc/fstab`.

For certain services, data is stored on the small harddrive of the VPS:

| Service | Data           | Location              | Description                                     |
| ------- | -------------- | --------------------- | ----------------------------------------------- |
| Forgejo | MySQL database | `/data/mysql/forgejo` | Database data only. Repositories stored in NAS. |

## Port mappings

| Range | Function         |
| ----- | ---------------- |
| 8000  | Web applications |

### Services

| Server port | Docker port | Subdomain                     | Service    | Description                |
| ----------- | ----------- | ----------------------------- | ---------- | -------------------------- |
| 8000        | 3000        | grafana.systemsobscure.net    | Grafana    | Server logs and monitoring |
| 8001        | 9090        | bookmarks.systemsobscure.net  | Linkding   | Article bookmarking tool   |
| 8002        | 3000        | forgejo.systemsobscure.net    | Forgejo    | Git forge                  |
| 8003        | 3000        | rocketchat.systemsobscure.net | RocketChat | Messaging app, alerts      |
